Create Mid-call Action
curl --request POST \
--url https://app.famulor.de/api/user/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
endpoint: '<string>',
method: '<string>'
})
};
fetch('https://app.famulor.de/api/user/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/tools"
payload = {
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/tools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'endpoint' => '<string>',
'method' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/tools"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"method\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"type": "http",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"body_format": "json",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"static_fields": [
{
"key": "caller",
"value": "{{customer_phone}}"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send",
"required": true
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification",
"required": false
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
{
"message": "The name field format is invalid.",
"errors": {
"name": [
"Tool name must contain only letters, numbers and underscores, and start with a letter or underscore."
]
}
}
{
"message": "You have reached your plan limit of 5 mid call tools. Please upgrade your plan to create more tools."
}
Create Mid-call Action
Create a new Mid-call Action for AI assistant integration
POST
/
api
/
user
/
tools
Create Mid-call Action
This endpoint allows you to create a new Mid-call Action that can be used by your AI assistants to interact with external APIs during calls.
Body Parameters
The public API creates HTTP Mid-call Actions. Automation Platform Mid-call Actions (which generate a linked flow) are created from the dashboard. Mid-call Action values support dynamic variables — use{param} for AI-extracted parameters in the URL, and {{variable}} (e.g. {{customer_phone}}) in the URL, header values, and static field values.
string
required
Mid-call Action name — letters, numbers and underscores, starting with a letter or underscore (max 64 characters, e.g.
get_weather, book_appointment)string
required
Detailed explanation of when and how the AI should use this Mid-call Action (max 255 characters)
string
required
Valid URL of the API endpoint to call (max 2048 characters)
string
required
HTTP method:
GET, POST, PUT, PATCH, or DELETEstring
How the request body is encoded for write methods (POST/PUT/PATCH):
json (default) or form (application/x-www-form-urlencoded)integer
Request timeout in seconds (1-30, default: 10)
array
array
array
Parameters that the AI will extract from conversation and send to the endpoint
Show schema properties
Show schema properties
string
required
Parameter name (1-64 chars, must start with a letter or underscore, can contain letters, numbers and underscores)
string
required
Parameter type:
string, number, float, or booleanstring
required
Description to help AI understand how to extract this parameter (3-255 chars)
boolean
Whether the AI must collect this parameter. Optional parameters are only sent when a value was collected. Defaults to
false.Response Fields
string
Success message
object
The created Mid-call Action object
Show data properties
Show data properties
integer
The unique identifier of the Mid-call Action
string
The name of the Mid-call Action
string
Mid-call Action description
string
Mid-call Action type:
http or automationstring
API endpoint URL
string
HTTP method
string
Request body encoding:
json or forminteger
Request timeout in seconds
array
HTTP headers
array
Fixed key/value pairs always sent with the request
array
Parameter schema
string
ISO 8601 timestamp
string
ISO 8601 timestamp
{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"type": "http",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"body_format": "json",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"static_fields": [
{
"key": "caller",
"value": "{{customer_phone}}"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send",
"required": true
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification",
"required": false
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
{
"message": "The name field format is invalid.",
"errors": {
"name": [
"Tool name must contain only letters, numbers and underscores, and start with a letter or underscore."
]
}
}
{
"message": "You have reached your plan limit of 5 mid call tools. Please upgrade your plan to create more tools."
}
Attaching Mid-call Actions to Assistants
After creating a Mid-call Action, attach it to an assistant to use it during calls. Manage assignments through the Assistant API:- Create Assistant — Use the
tool_idsparameter to attach Mid-call Actions when creating an assistant - Update Assistant — Use the
tool_idsparameter to add, remove, or replace Mid-call Actions on an existing assistant
Need a whole toolset instead of building HTTP actions one by one? Connect an external MCP server — tools are discovered automatically. See MCP Servers.